package net.minecraft.world.level.lighting;

import net.minecraft.core.BlockPos;
import javax.annotation.Nullable;
import net.minecraft.world.level.chunk.DataLayer;
import net.minecraft.core.SectionPos;

public interface LayerLightEventListener extends LightEventListener {
    @Nullable
    DataLayer getDataLayerData(final SectionPos go);
    
    int getLightValue(final BlockPos fu);
    
    public enum DummyLightLayerEventListener implements LayerLightEventListener {
        INSTANCE;
        
        @Nullable
        @Override
        public DataLayer getDataLayerData(final SectionPos go) {
            return null;
        }
        
        @Override
        public int getLightValue(final BlockPos fu) {
            return 0;
        }
        
        @Override
        public void updateSectionStatus(final SectionPos go, final boolean boolean2) {
        }
    }
}
